commit:     b746d4330579766be20676908dd3e4dfc52cb07a
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 18:42:37 2016 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 18:42:37 2016 +0000
URL:        https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=b746d433

add packages (and bumps) required for SiCKRAGE

 dev-python/babelfish/Manifest                      |  1 +
 dev-python/babelfish/babelfish-0.5.5.ebuild        | 26 +++++++++++++
 dev-python/babelfish/metadata.xml                  | 15 ++++++++
 dev-python/bencode/Manifest                        |  1 +
 dev-python/bencode/bencode-1.0.ebuild              | 20 ++++++++++
 dev-python/guessit/Manifest                        |  1 +
 dev-python/guessit/guessit-1.0.3.ebuild            | 44 ++++++++++++++++++++++
 dev-python/guessit/metadata.xml                    | 16 ++++++++
 dev-python/imdbpie/Manifest                        |  1 +
 dev-python/imdbpie/imdbpie-4.0.2.ebuild            | 39 +++++++++++++++++++
 dev-python/python-fanart/Manifest                  |  1 +
 .../python-fanart/python-fanart-1.4.0.ebuild       | 30 +++++++++++++++
 dev-python/subliminal/Manifest                     |  1 +
 dev-python/subliminal/subliminal-1.1.1.ebuild      | 42 +++++++++++++++++++++
 dev-python/tmdbsimple/Manifest                     |  1 +
 dev-python/tmdbsimple/tmdbsimple-1.3.0.ebuild      | 24 ++++++++++++
 16 files changed, 263 insertions(+)

diff --git a/dev-python/babelfish/Manifest b/dev-python/babelfish/Manifest
new file mode 100644
index 0000000..5a17fb0
--- /dev/null
+++ b/dev-python/babelfish/Manifest
@@ -0,0 +1 @@
+DIST babelfish-0.5.5.tar.gz 90398 SHA256 
8380879fa51164ac54a3e393f83c4551a275f03617f54a99d70151358e444104 SHA512 
71504dd0203ad85a6a69107d67df3bd5ae4193515e74c05b346a8bd0aab425fc1534d54d1c74b14e48580ee5e76f04705e35c2d359fbe46254bee37e41cb4bfa
 WHIRLPOOL 
53f3a5620a0d4affdb7248883166a44bada2e7824a4ea38ecb40dba9ffc49c696c1247ffd195118b5abdc338c3e29d8b5c9def85059180036a76a7b90c7ac694

diff --git a/dev-python/babelfish/babelfish-0.5.5.ebuild 
b/dev-python/babelfish/babelfish-0.5.5.ebuild
new file mode 100644
index 0000000..399988c
--- /dev/null
+++ b/dev-python/babelfish/babelfish-0.5.5.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to work with countries and languages"
+HOMEPAGE="https://github.com/Diaoul/babelfish 
https://pypi.python.org/pypi/babelfish";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_test() {
+       esetup.py test
+}

diff --git a/dev-python/babelfish/metadata.xml 
b/dev-python/babelfish/metadata.xml
new file mode 100644
index 0000000..b21f86a
--- /dev/null
+++ b/dev-python/babelfish/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>nik...@gmx.us</email>
+  </maintainer>
+  <maintainer type="project">
+    <email>proxy-ma...@gentoo.org</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">babelfish</remote-id>
+    <remote-id type="github">Diaoul/babelfish</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/bencode/Manifest b/dev-python/bencode/Manifest
new file mode 100644
index 0000000..18ea575
--- /dev/null
+++ b/dev-python/bencode/Manifest
@@ -0,0 +1 @@
+DIST bencode-1.0.tar.gz 2385 SHA256 
0301c2202233a3f274c940702bac7bd02d5d053b8bf9502b085156270e30be9b SHA512 
873bc7da16729a49033709f0663ef6d58076d0c5e1b31624e72a3eb35af7fa52af7ed42407b68995387ea9d6e2c009836f764c6a45b4e3b905d962110cf01ee8
 WHIRLPOOL 
23c08a5ff72d33b5a8dfa04420d18711db29d5659e0347e0b828eba4a0631efe38cdcec7a374359fdf0997692d8c1e46f2e035ac389087d44aca0fdf2eff680b

diff --git a/dev-python/bencode/bencode-1.0.ebuild 
b/dev-python/bencode/bencode-1.0.ebuild
new file mode 100644
index 0000000..866335e
--- /dev/null
+++ b/dev-python/bencode/bencode-1.0.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="The BitTorrent bencode module as light-weight, standalone 
package."
+HOMEPAGE="http://bittorrent.com/ https://pypi.python.org/pypi/bencode/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BitTorrent"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"

diff --git a/dev-python/guessit/Manifest b/dev-python/guessit/Manifest
new file mode 100644
index 0000000..fe1ab14
--- /dev/null
+++ b/dev-python/guessit/Manifest
@@ -0,0 +1 @@
+DIST guessit-1.0.3.tar.gz 1200782 SHA256 
6de9149b663b415ebc1f4ab9f12eb624ca859cf13cc1a491382f56619f33f59b SHA512 
be427d3ac5b598fe14b26b4fa41c3bd9c0cc946df85381c61be9180275b54f6beac9d433ba781f4351bf94eba5a53b1097d8503268efd9019d50beb60f92cfcb
 WHIRLPOOL 
31b2bb0e57a395f38f7ebe2420945cf00e00149a8345db245c3978cebb6366b53b8b1eae89838d4729e1e8c15abef2f4c8c91f64e5eb3e6f36a56f54de715546

diff --git a/dev-python/guessit/guessit-1.0.3.ebuild 
b/dev-python/guessit/guessit-1.0.3.ebuild
new file mode 100644
index 0000000..0bc5611
--- /dev/null
+++ b/dev-python/guessit/guessit-1.0.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="library for guessing information from video files"
+HOMEPAGE="http://guessit.readthedocs.org https://github.com/wackou/guessit 
https://pypi.python.org/pypi/guessit";
+SRC_URI="https://github.com/wackou/guessit/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/babelfish-0.5.1[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-0.14[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-capturelog[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+       )
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       # patch away benchmark "tests" (mainly beause we lack pytest-benchmark 
atm)
+       rm guessit/test/test_benchmark.py || die
+       sed -i -e "s|'pytest-benchmark', ||" setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test
+}

diff --git a/dev-python/guessit/metadata.xml b/dev-python/guessit/metadata.xml
new file mode 100644
index 0000000..0083d27
--- /dev/null
+++ b/dev-python/guessit/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>nik...@gmx.us</email>
+    <name>Nikoli</name>
+  </maintainer>
+  <maintainer type="project">
+    <email>proxy-ma...@gentoo.org</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">guessit</remote-id>
+    <remote-id type="github">wackou/guessit</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/imdbpie/Manifest b/dev-python/imdbpie/Manifest
new file mode 100644
index 0000000..a1f461c
--- /dev/null
+++ b/dev-python/imdbpie/Manifest
@@ -0,0 +1 @@
+DIST imdbpie-4.0.2.tar.gz 31239 SHA256 
1b660a71733ccba93ecd63606e50e69c982ef8b4caee162d15b8dcdf3dad78fd SHA512 
817f338af63879995a2e3700f2e14701e7540e9e2c2b2206ba35e3de67a85f1e5711fc91cf2cb0259bd35b28f2458fd4f24a86045781a72aceb4401b506e95e9
 WHIRLPOOL 
3731d615e7e8e1f72d7d68529ecadf1dd8b087e2ba1b7d94b80aa2b60a872e82dcd7b59c4a27e3688cf7e57bcdf02e81dd543e62f9b19b6260b7938849baf4a4

diff --git a/dev-python/imdbpie/imdbpie-4.0.2.ebuild 
b/dev-python/imdbpie/imdbpie-4.0.2.ebuild
new file mode 100644
index 0000000..3e33de9
--- /dev/null
+++ b/dev-python/imdbpie/imdbpie-4.0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="imdb-pie"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python IMDB client using the IMDB json web service made available 
for their iOS app."
+HOMEPAGE="https://pypi.python.org/pypi/imdbpie 
https://github.com/richardasaurus/imdb-pie";
+SRC_URI="https://github.com/richardasaurus/${MY_PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+# pypi package does not include tests
+
+LICENSE="CC-BY-NC-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/CacheControl[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+RESTRICT="test"
+# despite mock'ing, there are live calls to IMDB
+# and tests break whenever they update some data
+
+python_test() {
+       py.test -v src/tests || die
+}

diff --git a/dev-python/python-fanart/Manifest 
b/dev-python/python-fanart/Manifest
new file mode 100644
index 0000000..cac3bed
--- /dev/null
+++ b/dev-python/python-fanart/Manifest
@@ -0,0 +1 @@
+DIST python-fanart-1.4.0.tar.gz 7773 SHA256 
321cabadad4c38b8b761c1ac2a89a0e44b9bcc6bb0d712842409710eaab2cc41 SHA512 
ff1e06229a369a4d6a55bde6ba5a6f592309bdd7a7e0b674795c77eab3c5fe2143b784203a4bfad0dcf3a2c27fec25a0b73d639999ee25cfd6eabdf5d67a4fc8
 WHIRLPOOL 
ee8b51bc443a7a3427f80a86478a6bf29724bfa042e1afe7740aae55d72a0bd149a0f37b0644f76880fa9c86c6f876b92016215ed06778992a00d47006b6847f

diff --git a/dev-python/python-fanart/python-fanart-1.4.0.ebuild 
b/dev-python/python-fanart/python-fanart-1.4.0.ebuild
new file mode 100644
index 0000000..6cdbef8
--- /dev/null
+++ b/dev-python/python-fanart/python-fanart-1.4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to fanart.tv API"
+HOMEPAGE="http://bittorrent.com/ https://pypi.python.org/pypi/bencode/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/httpretty[${PYTHON_USEDEP}] )"
+
+RESTRICT="test"
+# pypi tarball is missing some files and there are no tags/releases on github
+
+python_test() {
+       py.test -v || die
+}

diff --git a/dev-python/subliminal/Manifest b/dev-python/subliminal/Manifest
new file mode 100644
index 0000000..9d67508
--- /dev/null
+++ b/dev-python/subliminal/Manifest
@@ -0,0 +1 @@
+DIST subliminal-1.1.1.tar.gz 37871 SHA256 
ab50cff2dcdc4c302f11074d22b2aa8b1c12bbd13e81ee7ad362947a18ad3fca SHA512 
00f86944daf1054ac57cf90ea34d5d898fd25f9dbf0cecaf5fba7f3a3f8e63e20edb18d62f7a48403a4478c3df5f344c642e82f7e6bcf49625a867164dc7193a
 WHIRLPOOL 
4d1adb859f32c14bce9ef874dc1cd5fd4981cb2d9379dc2ecab9c5198eda667379aff965b21b2b2c6a69c5a320d687f3345d8f37e41e0524c0b609e175b2a792

diff --git a/dev-python/subliminal/subliminal-1.1.1.ebuild 
b/dev-python/subliminal/subliminal-1.1.1.ebuild
new file mode 100644
index 0000000..2c2f506
--- /dev/null
+++ b/dev-python/subliminal/subliminal-1.1.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Subtitles, faster than your thoughts"
+HOMEPAGE="https://pypi.python.org/pypi/subliminal 
https://github.com/Diaoul/subliminal";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=">=dev-python/guessit-0.9.1[${PYTHON_USEDEP}]
+       <dev-python/guessit-2[${PYTHON_USEDEP}]
+       >=dev-python/babelfish-0.5.2[${PYTHON_USEDEP}]
+       >=dev-python/enzyme-0.4.1[${PYTHON_USEDEP}]
+       >=dev-python/beautifulsoup-4.2.0:4[${PYTHON_USEDEP}]
+       >=dev-python/requests-2[${PYTHON_USEDEP}]
+       >=dev-python/click-4[${PYTHON_USEDEP}]
+       >=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1[${PYTHON_USEDEP}]
+       >=dev-python/chardet-2.3[${PYTHON_USEDEP}]
+       >=dev-python/pysrt-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               >=dev-python/vcrpy-1.6.1[${PYTHON_USEDEP}]
+               dev-python/sympy[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7 python3_3)
+               )"
+
+python_test() {
+       py.test -v || die
+}

diff --git a/dev-python/tmdbsimple/Manifest b/dev-python/tmdbsimple/Manifest
new file mode 100644
index 0000000..9f0cedb
--- /dev/null
+++ b/dev-python/tmdbsimple/Manifest
@@ -0,0 +1 @@
+DIST tmdbsimple-1.3.0.tar.gz 15655 SHA256 
57127371cf8f19fd2fbfa790429f063e4304b3532392d9a1b8f7bc40b0657fd5 SHA512 
351f1f4704b749cd36a92c4c96230ba9a3d6774887488e82b4b3fe48f1c40cecab2d32367f369a53ccf20d5e2fee1cbb4b96b9ef3d2bc85ce56f32de24539651
 WHIRLPOOL 
fbcd7eea82c78fe626b115cc92f2708084aa53f364f64ca9438c2ef5266e10e8d1b00a91d507e5a170c509806f8773a62be8f11ab7d0d20fae4e73883c189657

diff --git a/dev-python/tmdbsimple/tmdbsimple-1.3.0.ebuild 
b/dev-python/tmdbsimple/tmdbsimple-1.3.0.ebuild
new file mode 100644
index 0000000..a570828
--- /dev/null
+++ b/dev-python/tmdbsimple/tmdbsimple-1.3.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python wrapper for The Movie Database API v3"
+HOMEPAGE="https://github.com/celiao/tmdbsimple 
https://pypi.python.org/pypi/tmdbsimple";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+RESTRICT="test"
+# requires an API_KEY for testing

Reply via email to